Get EntitySchema by ID
Get a single EntitySchema by ID.
Authentication
AuthorizationBearer
Bearer authentication of the form Bearer <token>, where token is your auth token.
Path parameters
entity_schema_id
ID of the EntitySchema.
Headers
EARLY-ACCESS
Set to true to access beta operations via /api/v3.
Query parameters
returning
Comma-separated list of top-level fields to include in each returned item. Cannot overlap with omit.
omit
Comma-separated list of top-level fields to omit from each returned item. Cannot overlap with returning.
Response
OK
__typename
archiveReason
Reason the EntitySchema was archived
archived
If the EntitySchema is archived
availableRegistrationNamingOptions
Naming strategies allowed when registering entities of this schema
constraint
Defines uniqueness requirements for entities within a schema. Constraints ensure that
registered entities have unique values across specified fields (see fieldDefinitionNames)
or unique domain-specific properties (see TypeSpecificConstraint). The hasUniqueResidues
field is a legacy indicator for sequence uniqueness.
containableType
Allowed values:
createdAt
description
fieldDefinitions
id
modifiedAt
DateTime the Entity Schema was last modified
name
prefix
registry
Registry the EntitySchema is in
type
validationRules
Errors
400
Entity Schema Get Request Bad Request Error
403
Entity Schema Get Request Forbidden Error
404
Entity Schema Get Request Not Found Error
429
Entity Schema Get Request Too Many Requests Error
500
Entity Schema Get Request Internal Server Error